Gtk2::Editable(3)

NAME
Gtk2::Editable

HIERARCHY
  Glib::Interface
  +----Gtk2::Editable

METHODS

  string = $editable->get_chars ($start_pos, $end_pos)

•   $start_pos (integer)

•   $end_pos (integer)

  $editable->copy_clipboard

  $editable->cut_clipboard

  $editable->delete_selection

  $editable->delete_text ($start_pos, $end_pos)

•   $start_pos (integer)

•   $end_pos (integer)

  boolean = $editable->get_editable

  $editable->set_editable ($is_editable)

•   $is_editable (boolean)

  new_position = $editable->insert_text (new_text, position)

•   $new_text (string)

•   ... (list)

  $editable->paste_clipboard

  integer = $editable->get_position

  $editable->set_position ($position)

•   $position (integer)

  $editable->select_region ($start, $end)

•   $start (integer)

•   $end (integer)

  (start, end) = $editable->get_selection_bounds
Returns integers, start and end.

SIGNALS

changed (Gtk2::Editable)
insert-text (Gtk2::Editable, string, integer, gpointer)
delete-text (Gtk2::Editable, integer, integer)

SEE ALSO
Gtk2, Glib::Interface

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.